View Issue Details

IDProjectCategoryView StatusLast Update
0003020Part[FreeCAD] Bugpublic2019-01-26 21:55
ReporterGauthierAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformWindows + LinuxOSWindows + DebianOS VersionW10 + stretch
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003020: 2D offset of circle are not in the right place
DescriptionWhen using the Part/2D offset of a circle, the resulting offset is moved to a XY parallel plane or/and translated from the original position of the origin circle.
The only solution to have the right offset from a circle is if the origine circle is in the XY plan and centered on the origine or the circle is inside a sketch and if the sketch is not moved in the XY plan.
Steps To Reproduce- Start new model
- In the Draft workbench, draw a circle not centered on the origine or not on the XY plan then select the circle
- In the Part workbench, select 2D Offset
=> The offset geometry of the circle is moved on the XY plan if the circle is not on this plan
   And the offset geometry is not centered on the circle.
TagsPart

Activities

Gauthier

2017-05-05 07:43

reporter   ~0008888

FreeCAD version on Windows :
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10993 (Git)
Build type: Release
Branch: master
Hash: bf5f3484f6f5506795b6e9b86288c75ab7357291
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

FreeCAD version on Linux :
OS: Debian GNU/Linux 9.0 (stretch)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10967 (Git)
Build type: Release
Branch: master
Hash: 38388cf650ef49cbce48af5dd33bdbe2487c8cbe
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Kunda1

2017-05-05 12:03

administrator   ~0008889

Please open a forum thread and bidirectionally link thread <=> ticket

Kunda1

2017-05-05 22:21

administrator   ~0008891

@normandc care to weigh in?

Gauthier

2017-05-09 06:55

reporter   ~0008923

Forum thread opened today : https://forum.freecadweb.org/viewtopic.php?f=8&t=22343

wmayer

2018-01-13 17:48

administrator   ~0010757

As pointed out by ChrisG setting the inverse placement moves the offset to the correct location. https://forum.freecadweb.org/viewtopic.php?f=8&t=22343#p206673
But of the source object is a disk then the offset looks broken, too.

wmayer

2019-01-26 21:55

administrator   ~0012529

https://github.com/FreeCAD/FreeCAD/commit/dbc09e3a2342af8784045d3d0ae3565ec869bef6

Issue History

Date Modified Username Field Change
2017-05-05 07:30 Gauthier New Issue
2017-05-05 07:30 Gauthier Tag Attached: Part
2017-05-05 07:43 Gauthier Note Added: 0008888
2017-05-05 12:03 Kunda1 Note Added: 0008889
2017-05-05 22:21 Kunda1 Note Added: 0008891
2017-05-08 06:27 Kunda1 Status new => feedback
2017-05-09 06:55 Gauthier Note Added: 0008923
2017-05-09 06:55 Gauthier Status feedback => new
2017-05-10 19:57 Kunda1 Project FreeCAD => Part
2017-09-15 20:24 wmayer Target Version => 0.17
2017-10-01 19:49 wmayer Status new => confirmed
2018-01-13 17:48 wmayer Note Added: 0010757
2018-02-19 18:08 wmayer Target Version 0.17 => 0.18
2019-01-26 21:55 wmayer Assigned To => wmayer
2019-01-26 21:55 wmayer Status confirmed => closed
2019-01-26 21:55 wmayer Resolution open => fixed
2019-01-26 21:55 wmayer Fixed in Version => 0.18
2019-01-26 21:55 wmayer Note Added: 0012529